建议使用以下浏览器,以获得最佳体验。 IE 9.0+以上版本 Chrome 31+ 谷歌浏览器 Firefox 30+ 火狐浏览器
设置昵称

在此一键设置昵称,即可参与社区互动!

确定
我再想想
选择版块
迁移调优实践 主题:390帖子:965

鲲鹏mysql8.0.21部署安装

telen 2020/10/22 980

关于mysql 8.0.20在鲲鹏上目前部署资源缺少的问题,这里提供了资源下载地址以及部署教程

下载资源:

wget https://obs-mirror-ftp4.obs.cn-north-4.myhuaweicloud.com/database/mysql-8.0.20.tar.gz

--------------------------------------------

用户创建:

如果已经创建了mysql 用户,次操作可省略

 root groupadd -r mysql && useradd -r -g mysql -s /sbin/nologin -M mysql

-----------------------------------------------

解压安装:

tar -zxvf  mysql-8.0.20.tar.gz

rpm -ivh mysql-community-common-8.0.20-1.el7.aarch64.rpm

rpm -ivh mysql-community-libs-8.0.20-1.el7.aarch64.rpm

rpm -ivh mysql-community-libs-compat-8.0.20-1.el7.aarch64.rpm

rpm -ivh mysql-community-client-8.0.20-1.el7.aarch64.rpm

 rpm -ivh mysql-community-server-8.0.20-1.el7.aarch64.rpm

服务启动

systemctl start mysqld.service

mysqld --initialize --user=mysql

systemctl enable mysqld.service

-------------------------------------------

过程可能出现问题:

Updating / installing...

   1:mysql-community-server-8.0.20-1.e################################# [100%]

[/usr/lib/tmpfiles.d/mysql.conf:23] Line references path below legacy directory        /var/run/, updating /var/run/mysqld → /run/mysqld; please update the tmpfiles.d/        drop-in file accordingly.

解决:

cd /usr/lib/tmpfiles.d/

cp mysql.conf mysql.conf.bak

vi mysql.conf

d   /var/run/mysqld 0755 mysql mysql  -      修改为d /run/mysqld 0755 mysql mysql  -

------------------------------------------------



回复4

SummerGG
0 0
2020/10/22 18:41

多谢分享

way
0 0
2020/10/22 19:17
火灵
0 0
2020/10/27 21:26

谢谢分享!

2020/11/2 21:12

这一步安装失败了



[root@ecs-a238-0004 mysql-8.0.20]# rpm -ivh mysql-community-libs-8.0.20-1.el7.aarch64.rpm

warning: mysql-community-libs-8.0.20-1.el7.aarch64.rpm: Header V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY

error: Failed dependencies:

libcrypto.so.10()(64bit) is needed by mysql-community-libs-8.0.20-1.el7.aarch64

libcrypto.so.10(libcrypto.so.10)(64bit) is needed by mysql-community-libs-8.0.20-1.el7.aarch64

libssl.so.10()(64bit) is needed by mysql-community-libs-8.0.20-1.el7.aarch64

libssl.so.10(libssl.so.10)(64bit) is needed by mysql-community-libs-8.0.20-1.el7.aarch64


way

2020-11-4 10:55

你环境中openssl做过升级,导致mysql所依赖的库版本不正确,建议你在新环境中部署或者降级openssl(但可能对其它应用有影响)
... 展开
上划加载中
直达楼层
标签
您还可以添加5个标签
  • 没有搜索到和“关键字”相关的标签
  • 云产品
  • 解决方案
  • 技术领域
  • 通用技术
  • 平台功能
取消

采纳成功

您已采纳当前回复为最佳回复

telen

发帖: 2粉丝: 1

发消息 + 关注

发表于2020年10月22日 18:23:55 980 4
直达本楼层的链接
楼主
显示全部楼层
鲲鹏mysql8.0.21部署安装

关于mysql 8.0.20在鲲鹏上目前部署资源缺少的问题,这里提供了资源下载地址以及部署教程

下载资源:

wget https://obs-mirror-ftp4.obs.cn-north-4.myhuaweicloud.com/database/mysql-8.0.20.tar.gz

--------------------------------------------

用户创建:

如果已经创建了mysql 用户,次操作可省略

 root groupadd -r mysql && useradd -r -g mysql -s /sbin/nologin -M mysql

-----------------------------------------------

解压安装:

tar -zxvf  mysql-8.0.20.tar.gz

rpm -ivh mysql-community-common-8.0.20-1.el7.aarch64.rpm

rpm -ivh mysql-community-libs-8.0.20-1.el7.aarch64.rpm

rpm -ivh mysql-community-libs-compat-8.0.20-1.el7.aarch64.rpm

rpm -ivh mysql-community-client-8.0.20-1.el7.aarch64.rpm

 rpm -ivh mysql-community-server-8.0.20-1.el7.aarch64.rpm

服务启动

systemctl start mysqld.service

mysqld --initialize --user=mysql

systemctl enable mysqld.service

-------------------------------------------

过程可能出现问题:

Updating / installing...

   1:mysql-community-server-8.0.20-1.e################################# [100%]

[/usr/lib/tmpfiles.d/mysql.conf:23] Line references path below legacy directory        /var/run/, updating /var/run/mysqld → /run/mysqld; please update the tmpfiles.d/        drop-in file accordingly.

解决:

cd /usr/lib/tmpfiles.d/

cp mysql.conf mysql.conf.bak

vi mysql.conf

d   /var/run/mysqld 0755 mysql mysql  -      修改为d /run/mysqld 0755 mysql mysql  -

------------------------------------------------



鲲鹏 MySQL

举报
分享

分享文章到朋友圈

分享文章到微博

采纳成功

您已采纳当前回复为最佳回复

SummerGG

发帖: 3粉丝: 1

发消息 + 关注

发表于2020年10月22日 18:41:13
直达本楼层的链接
沙发
显示全部楼层

多谢分享

点赞 评论 引用 举报

采纳成功

您已采纳当前回复为最佳回复

way

发帖: 57粉丝: 10

级别 : 版主,版块专家

发消息 + 关注

发表于2020年10月22日 19:17:06
直达本楼层的链接
板凳
显示全部楼层
点赞 评论 引用 举报

采纳成功

您已采纳当前回复为最佳回复

火灵

发帖: 172粉丝: 11

发消息 + 关注

发表于2020年10月27日 21:26:53
直达本楼层的链接
地板
显示全部楼层

谢谢分享!

点赞 评论 引用 举报

采纳成功

您已采纳当前回复为最佳回复

风萧萧残雪

发帖: 0粉丝: 0

发消息 + 关注

发表于2020年11月02日 21:12:18
直达本楼层的链接
5#
显示全部楼层

这一步安装失败了



[root@ecs-a238-0004 mysql-8.0.20]# rpm -ivh mysql-community-libs-8.0.20-1.el7.aarch64.rpm

warning: mysql-community-libs-8.0.20-1.el7.aarch64.rpm: Header V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY

error: Failed dependencies:

libcrypto.so.10()(64bit) is needed by mysql-community-libs-8.0.20-1.el7.aarch64

libcrypto.so.10(libcrypto.so.10)(64bit) is needed by mysql-community-libs-8.0.20-1.el7.aarch64

libssl.so.10()(64bit) is needed by mysql-community-libs-8.0.20-1.el7.aarch64

libssl.so.10(libssl.so.10)(64bit) is needed by mysql-community-libs-8.0.20-1.el7.aarch64


评论
way 2020-11-4 10:55 评论

你环境中openssl做过升级,导致mysql所依赖的库版本不正确,建议你在新环境中部署或者降级openssl(但可能对其它应用有影响)

... 查看全部
点赞 评论 引用 举报

游客

富文本
Markdown
您需要登录后才可以回帖 登录 | 立即注册

结贴

您对问题的回复是否满意?
满意度
非常满意 满意 一般 不满意
我要反馈
0/200